package com.hzya.frame.sys.flow.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 流程主表;流程就是数环通的Linkup(SysFlow)实体类
 *
 * @author xiang2lin
 * @since 2025-04-29 10:16:23
 */
public class SysFlowEntity extends BaseEntity {
 
  /**  流程名称 */
   private String name;
  /**  流程分类id */
   private String classId;
   private String className;
  /**  触发方式id */
   private String triggerModeId;
   private String triggerModeName;
  /**  应用组id */
   private String nifiGroupId;
  /**  流程描述 */
   private String description;

   //状态， 启动/停止
   private String status;
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getClassId() {
        return classId;
    }

    public void setClassId(String classId) {
        this.classId = classId;
    }

    public String getTriggerModeId() {
        return triggerModeId;
    }

    public void setTriggerModeId(String triggerModeId) {
        this.triggerModeId = triggerModeId;
    }

    public String getNifiGroupId() {
        return nifiGroupId;
    }

    public void setNifiGroupId(String nifiGroupId) {
        this.nifiGroupId = nifiGroupId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getTriggerModeName() {
        return triggerModeName;
    }

    public void setTriggerModeName(String triggerModeName) {
        this.triggerModeName = triggerModeName;
    }
}

